"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * 单独封装一个时间相关的类，为了解决后期日期处理问题
 */
class LocalDate extends Date {
    static now() {
        return Date.now();
    }
    static parse(s) {
        return Date.parse(s);
    }
    static formateString(t) {
        if (!t)
            t = LocalDate.now();
        return (new LocalDate(t)).formateString();
    }
    static num2len(num, len) {
        let sNum = num.toString().slice(0, len);
        for (let i = sNum.length; i < len; i++) {
            sNum = '0' + sNum;
        }
        return sNum;
    }
    formateString() {
        return `${LocalDate.num2len(this.getFullYear(), 4)}-${LocalDate.num2len(this.getMonth() + 1, 2)}-${LocalDate.num2len(this.getDate(), 2)} ${LocalDate.num2len(this.getHours(), 2)}:${LocalDate.num2len(this.getMinutes(), 2)}:${LocalDate.num2len(this.getSeconds(), 2)}`;
    }
}
exports.LocalDate = LocalDate;
